# Class PlayerProgressEvent

#### Hierarchy (view full)

- BasePlayerEvent
  - PlayerProgressEvent

#####
Index

### Constructors

constructor

### Properties

bufferedPercent
type

## Constructors

### constructor

- new PlayerProgressEvent(bufferedPercent): PlayerProgressEvent

- #### Parameters

  - bufferedPercent: number

  #### Returns PlayerProgressEvent

  Overrides BasePlayerEvent.constructor

## Properties

### `Readonly` bufferedPercent

bufferedPercent: number

### `Readonly` type

type: "playerCanplayThrough" = Events.PlayerCanPlayThrough

Overrides BasePlayerEvent.type